NEW

CATIA VBA(VBS) 二次開發實體切割命令AddNewSplit

CATIA VBA(VBS) 二次開發實體切割命令AddNewSplit
在CATIA的VBA/VBS二次開發中可以使用AddNewSplit命令進行實體切割,此命令屬于ShapeFactory類中的方法,函數定義如下: Func AddNewSplit( Reference  iSplittingElement,  CatSplitSide  iSplitSide) As Split 其中:iSplittingElement為切割參考元素;iSplitSide為切割後保留哪一側的選項,有catPositiveSide和catNe...

CATIA VBA(VBS) 二次開發中選擇集的複制粘貼

CATIA VBA(VBS) 二次開發中選擇集的複制粘貼
在CATIA VBA(VBS)二次開發中可以使用Copy、PasteSpecial方法對選擇集進行複制粘貼。示例代碼如下: Sub CATMain() Dim Doc, Prt, SF, Slct, BodyO, BodyN Set Doc = CATIA.ActiveDocument Set Prt = Doc.Part Set Slct = Doc.Selection Dim Status, lType(0) lType(0) = "Body" Status = Slct.SelectElement2(lTy...

CATIA VBA(VBS) 二次開發中的選擇過濾器

CATIA VBA(VBS) 二次開發中的選擇過濾器
在文章《CATIA使用VBA(VBS)二次開發時用戶的交互選擇》中介紹了在CATIA中使用SelectElement2方法進行用戶交互選擇。在使用SelectElement2進行選擇時需要設置選擇過濾器,CATIA CAA Visual Basic中提供了如下兩類選擇過濾器: 直接使用對象名稱作為過濾器關鍵字,如HybridBody、HybridShape、Body、Plane、Point、Line等;使用枚舉類CAT...

CATIA使用VBA(VBS)二次開發時部件集的創建和遍曆

CATIA使用VBA(VBS)二次開發時部件集的創建和遍曆
下面以幾何元素部件集Geometrical set的選擇、創建、遍曆和元素的插入為例介紹在CATIA中使用VBA(VBS)二次開發時部件集的操作方法。 Sub catmain() 'Geometrical set 的選擇 Dim iSelection Set iSelection = CATIA.ActiveDocument.Selection Dim iStatus, iType(0) iType(0) = "HybridBody" iStatus = iSelection.Se...

CATIA在VBA(VBS)二次開發中使用HybridShapeFactory創建标準圖形曲面的方法

CATIA在VBA(VBS)二次開發中使用HybridShapeFactory創建标準圖形曲面的方法
下面以一個球形曲面的創建為例,介紹在CATIA中使用VBA(VBS)進行二次開發時通過HybridShapeFactory類創建标準圖形曲面的方法。示例代碼如下:(代碼中有關對象選擇的詳細介紹可參考文章《CATIA使用VBA(VBS)二次開發時用戶的交互選擇》。) Sub catmain() Dim iSelection Set iSelection = CATIA.ActiveDocument.Selection Di...

CATIA使用VBA(VBS)二次開發時用戶的交互選擇

CATIA使用VBA(VBS)二次開發時用戶的交互選擇
在CATIA中使用VBA(VBS)二次開發時,可以使用SelectElement2方法來進行交互,實現用戶的選擇,使用Item2來獲取選擇集中的元素。此方法可以進行基準面、點、線、曲面、實體等任意類的選擇。用戶交互選擇示例代碼如下: Sub catmain() Dim iSelection Set iSelection = CATIA.ActiveDocument.Selection Dim iStatus, iType(0) ...

在CATIA二次開發中使用VBA(VBS)的TypeName函數獲取文檔類型

在CATIA二次開發中使用VBA(VBS)的TypeName函數獲取文檔類型
在CATIA二次開發中可以使用VBA(VBS)的TypeName函數獲取文檔類型,TypeName函數的定義如下: TypeName(varname) 參數 varname 是一個Variant , 它包含除用戶定義類型的變量之外的任何變量。此函數返回一個提供有關變量的信息的 String。由 TypeName 返回的字符串可以為下列任一項: 返回的字符串變量對象類型類型為 objecttype ...

CATIA使用VBA(VBS)二次開發在工程圖背景圖中創建草圖文字

CATIA使用VBA(VBS)二次開發在工程圖背景圖中創建草圖文字
在CATIA工程圖中制作标題欄、明細表時均需進入CATIA工程圖的背景模式中(Sheet Background)。以下代碼為在CATIA中使用VBA(VBS)二次開發在工程圖背景圖中創建草圖文字的方法。 Sub catmain() Dim lBView,lFact,lTexts,Ln,lView Dim LH,LW,Tx Set lView = CATIA.ActiveDocument.Sheets.ActiveSheet.Views.ActiveView Set lBView = CATIA...

CATIA使用VBA(VBS)二次開發在工程圖激活的視圖中創建文字

CATIA使用VBA(VBS)二次開發在工程圖激活的視圖中創建文字
在CATIA中使用VBA(VBS)進行二次開發,可通過如下代碼在工程圖激活的視圖中創建文字: Sub catmain() Dim lView,lTexts,lFont,Lt Set lView = CATIA.ActiveDocument.Sheets.ActiveSheet.Views.ActiveView Set lTexts = lView.Texts lFont = "FAWFONT" Set Lt = lTexts.Add("24757.463748473.cn", 10, 20) '設置文字位置 Lt.AnchorPosition...

CATIA使用VBA(VBS)二次開發在工程圖激活的視圖中繪制草圖

CATIA使用VBA(VBS)二次開發在工程圖激活的視圖中繪制草圖
在CATIA中使用VBA(VBS)進行二次開發,可通過如下代碼在工程圖激活的視圖中繪制草圖: Sub catmain() Dim lView,lFact,Cl,C2,lSlct, lVisprp,lBView '獲取激活視圖 Set lView = CATIA.ActiveDocument.Sheets.ActiveSheet.Views.ActiveView '創建二維畫筆 Set lFact = lView.Factory2D '創建直線、圓、樣條曲線等圖元 ...